@mixin text($class, $width, $text, $ml){
    &.#{$class}{
        max-width: $width;
        width: 100%;
        margin-left: $ml;
        &::before{
            content: $text;
        }
    }
}
@mixin color($class, $color){
    &.#{$class}{
        &::after{
            content: '';
            background: $color;
        }
    }
}
.basket{
    &__inner{
        display: flex;
        align-items: flex-start;
        justify-content: flex-start;
    }

    .marketBottom__market2-pag{
        margin-left: -1vw;
    }

    &__left{
        margin-top: 12px;
        width: 102px;
        margin-right: 41px;
        @include transition;
        &.active{
            width: 306px;
            .basket__box-item{
                justify-content: space-between;
            }
            .basket__next svg{
                transform: scale(-1, 1);
            }
            .inVis{
                position: static;
                opacity: 1;
                pointer-events: all;
            }
        }
        &-box{
            display: flex;
            flex-direction: column;
            align-items: center;
            padding: 0px 14px 0px 17px;
            background: var(--basket-left-background);
            border-radius: 8px;
            width: 100%;
        }
    }

    .inVis{
        position: absolute;
        opacity: 0;
        pointer-events: none;
    }
    
    &__box{
        position: relative;
        &-item{
            padding: 30px 0;
            display: flex;
            align-items: center;
            justify-content: center;
            width: 100%;
            &:not(.notColor){
                svg *{
                    fill: var(--footerMobile-icon);
                }
            }
        }
        &-text{
            @include font(12px, 'Montserrat', var(--lang-color), 15px, 600);
            span{
                font-size: 20px;
                color: #FF5C00;
            }
        }
        &-secondText{
            @include font(14px, 'Inter', var(--lang-color), 15px, 400);
        }
        &-hr{
            margin: 0;
            width: 100%;
            border: none;
            height: 0.4px;
            background: #313131;
        }
    }

    &__next{
        width: 100%;
        padding: 11px 0px;
        background: var(--basket-left-background);
        border-radius: 8px;
        margin-bottom: 23px;
        display: flex;
        justify-content: center;
        svg{
            @include transition;
        }
        svg *{
            stroke: var(--basket-next);
        }
    }

    &__right{
        width: 100%;
    }

    &__top{
        display: flex;
        align-items: center;
        position: relative;
        justify-content: flex-start;
        margin-bottom: 50px;
        width: 100%;
        &::after{
            content: '';
            position: absolute;
            @include BLa(-19px);
            background: #212126;
            width: 100%;
            height: 0.4px;
        }
    }

    &__bottom{
        max-width: 1543px;
        width: 100%;
    }

    &__title{
        @include font(20px, 'Montserrat', var(--footerMobile-icon), 25px, 600);
        margin-right: 50px;
    }

    &__reset{
        margin-right: 70px;
        svg *{
            fill: var(--footerMobile-icon);
        }
    }

    &__clear{
        @include font(14px, 'Montserrat', var(--footerMobile-icon), 18px, 600);
        margin-left: auto;
        margin-right: 72px;
        text-decoration: underline;
    }

    &__line{
        display: grid;
        grid-template-columns: minmax(0, 1251px) 281px;
        gap: 11px;
        margin-bottom: 27px;
        &-left{
            border: 1px solid #FF7823;
            padding: 10px 25px 12px;
            border-radius: 7px 0 0 7px;
            @include font(16px, 'Montserrat', #FF7A26, 20px, 500);
        }

        &-right{
            background: #FF7723;
            border-radius: 0 7px 7px 0;
            padding: 10px 0px 12px;
            display: flex;
            justify-content: center;
            align-items: center;
            @include font(14px, 'Montserrat', white, 18px, 600);
            @include transition;
            &:hover{
                background: darken(#FF7723, 10%);
            }
        }
    }

    &__item{
        height: 62px;
        display: flex;
        align-items: center;
        width: 100%;
        overflow: visible !important;
        position: relative;
        background: var(--market-boxColor);
        border-radius: 5px;
        &:not(:last-of-type){
            margin-bottom: 64px;
        }
        &::after{
            content: '';
            position: absolute;
            width: 7px;
            height: 100%;
            @include TLa();
            border-radius: 5px;
            background: black;
        }
        @include color('blue', #4643E4);
        @include color('pink', #E443AD);
        @include color('red', #E44343);
        @include color('green', #00C800);
        &.notAnav{
            &::before{
                content: '';
                width: 100%;
                height: 100%;
                background: var(--bakset-notAnav);
                position: absolute;
                @include TLa();
                z-index: 2;
            }
        }
        &.notTitle{
            *{
                &::before{
                    content: '';
                    display: none !important;
                }
            }
        }
        &-grey{
            display: flex;
            align-items: center;
            background: var(--market-grey);
            border-radius: 5px;
            height: 100%;
            max-width: 619px;
            width: 100%;
        }
        &-text{
            @include font(12px, 'Montserrat', var(--footerMobile-icon), 15px, 600);
            position: relative;
            @include text('name', 203px, 'Наименование',0);
            @include text('icon', 88px, 'Иконка',37px);
            @include text('rare', 84px, 'Редкость',44px);
            @include text('huge', 96px, 'Huge',18px);
            @include text('type', 108px, 'Тип',18px);
            @include text('shiny', 60px, 'Shiny',18px);
            @include text('HC', 60px, 'HC',18px);
            @include text('power', 83px, 'Сила',18px);
            @include text('number', 60px, 'Кол-во',29px);
            @include text('price', 102px, 'Цена',37px);
            @include text('status', 169px, 'Статус',23px);
            max-height: 43px;
            height: 100%;
            display: flex;
            align-items: center;
            &.huge{
                display: flex;
                align-items: center;
            }
            &.name{
                text-transform: uppercase;
            }
            &.orange{
                color: #DF992F;
            }
            &.red{
                color: #DF2F2F;
            }
            &::before{
                content: '';
                position: absolute;
                @include TLa(-40px, -20px);
                text-transform: none;
                @include font(14px, 'Inter', #bbb, 17px, 400);
            }
            &:first-of-type{
                margin-left: 42px;
            }
            
            &::after{
                content: '';
                @include TRa();
                @include verCenterAbsol;
                height: 46px;
                width: 0.4px;
                background: var(--market2-hr);
                display: block;
                position: absolute;
            }
            &.notHr{
                &::after{
                    content: '';
                    display: none;
                }
            }
        }
        svg{
            margin-left: auto;
            margin-right: 10px;
        }
    }

    &__market{
        &-line{
            display: flex;
            align-items: center;
            margin-bottom: 35px;
            &--title{
                @include font(20px, 'Montserrat', var(--footerMobile-icon), 25px, 600);
                margin-right: 50px;
            }
            &--reser{
                @include font(14px, 'Montserrat', var(--footerMobile-icon), 18px, 600);
                text-decoration: underline;
            }
        }
    }

    .marketBottom__market2-content{
        overflow: visible;
    }

    .marketBottom__tag:not(:last-of-type){
        margin-bottom: 0;
        margin-right: 8px;
    }

    .marketBottom__market2-block.center{
        margin-bottom: 66px;
    }

    .marketBottom__left{
        position: sticky;
        top: 107px;
    }

    &__buy{
        margin-top: 34px;
        background: var(--marketMobile-item);
        width: 263px;
        padding: 21px 24px 24px 28px;
        margin-bottom: 46px;
        border-radius: 8px;
        &-wrapper{
            display: flex;
            justify-content: flex-end;
            max-width: 1528px;
            width: 100%;
            border-radius: 8px;
        }
        &-line{
            display: flex;
            justify-content: space-between;
            align-items: flex-end;
            &.title{
                margin-bottom: 17px;
            }
            &.banks{
                padding-bottom: 15px;
                svg{
                    transition: .5s ease all;
                }
                &.active{
                    svg{
                        transform: rotate(180deg);
                    }
                }
            }
        }
        &-total{
            @include font(14px, 'GothamPro', var(--footerMobile-icon), 14px, 400);
            margin-bottom: 3px;
        }
        &-price{
            @include font(12px, 'Montserrat', var(--footerMobile-icon), 15px, 600);
            span{
                @include font(20px, 'Montserrat', #FF5C00, 25px, 600);
            }
        }
        &-text{
            @include font(10px, 'Montserrat', var(--footerMobile-icon), 12px, 500);
        }
    }
    &__banksCard{
        display: none;
    }
    &__bank{
        &-title{
            @include font(14px, 'Montserrat', var(--footerMobile-icon), 18px, 500);
        }
    }
    &__hr{
        border: none;
        margin: 0;
        margin-top: 25px;
        width: 100%;
        height: 0.4px;
        background: #D7D7D7;
        margin-bottom: 30px;
        &.smallMr{
            margin-top: 10px;
            margin-bottom: 20px;
        }
    }

    &__button{
        padding: 17px 0;
        width: 100%;
    }
}